Pearl Harbor 005.jpg = Mr Greg and his Torpedo
Pearl Harbor 013.jpg = Hey, that's mine!
Pearl Harbor 019.jpg = Mr Greg wants to shoot something!
Pearl Harbor 037.jpg = Mr Greg trying to get into a bunk
Pearl Harbor 039.jpg = Mr Greg trying to get out of a bunk
Pearl Harbor 040.avi = Mr Greg trying to get out of a bunk ... the movie!
Pearl Harbor 055.jpg = Canada signed in the wrong spot
Pearl Harbor 056.jpg = Canada signed in the wrong spot
Pearl Harbor 062.jpg = Mr Greg and the girl in the red shirt
Pearl Harbor 080.jpg = Mr Keith and the Australians
Pearl Harbor 081.jpg = Mr Keith and the Australians